ZEBRAIDX(1)

NAME
zebraidx - Zebra Administrative Tool

SYNOPSIS
zebraidx [ -t type ] [ -c config ] [ -g group ] [ -d database ] [ -m mbytes ] [ -n ] [ -s ] [ -v level ] [ -l file ] [ -L ] [ -f number ] [ -v ] command [ file ... ]

DESCRIPTION

zebraidx allows you to insert, delete or updates records in Zebra. zebraidx accepts a set options (see below) and exactly one command (mandatory).

COMMANDS

update file ...
    Reads records from locations given by file and updates the register accordingly (to be in sync).

delete file ...
    Reads records from locations given by file and deletes the corresponding records in the register.

commit
    Commit changes. Only allowed when shadow registers are enabled.

clean
    Clean shadow files and "forget" changes.

OPTIONS

-t type
    Update all files as type. Currently, the types supported are text and grs.subtype. If no subtype is provided for the GRS (General Record Structure) type, the canonical input format is assumed (see the section entitled Local Representation in Zebra - User's Guide and Reference). Generally, it is probably advisable to specify the record types in the zebra.cfg file (see the section entitled Record Types in Zebra - User's Guide and Reference), to avoid confusion at subsequent updates.

-c config-file
    Read the configuration file config-file instead of zebra.cfg.

-g group
    Update the files according to the group settings for group (see the section entitled The Zebra Configuration File in Zebra - User's Guide and Reference).

-d database
    The records located should be associated with the database name database for access through the Z39.50 server.

-l file
    Write log messages to file instead of stderr.

-m mbytes
    Use mbytes of memory before flushing keys to background storage. This setting affects performance when updating large databases.

-n  Disable the use of shadow registers for this operation (see the section entitled Safe Updating - Using Shadow Registers in Zebra - User's Guide and Reference).

-s  Show analysis of the indexing process. The maintenance program works in a read-only mode and doesn't change the state of the index. This options is very useful when you wish to test a new profile.

-V  Show Zebra version.

-v level
    Set the log level to level. level should be one of none, debug, and all.

FILES

zebra.cfg

SEE ALSO

zebrasrv(8)

Section "Administrating Zebra" in the Zebra manual.